<template>
  <div class="app-container">
    <el-form :model="queryParams" ref="queryForm" :inline="true" v-show="showSearch" label-width="68px">
      <el-form-item label="课程编号" prop="courseCode">
        <el-input
          v-model="queryParams.courseCode"
          placeholder="请输入课程编号"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item label="培训主题" prop="topic">
        <el-input
          v-model="queryParams.topic"
          placeholder="请输入培训主题"
          clearable
          size="small"
          @keyup.enter.native="handleQuery"
        />
      </el-form-item>
      <el-form-item>
        <el-button type="cyan" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
        <el-button icon="el-icon-refresh" size="mini" @click="resetQuery">重置</el-button>
      </el-form-item>
    </el-form>

    <el-row :gutter="10" class="mb8">
      <right-toolbar :showSearch.sync="showSearch" @queryTable="getList"></right-toolbar>
    </el-row>

    <el-table v-loading="loading" :data="firstplanList" @selection-change="handleSelectionChange" :height="clientHeight"
              border>
      <el-table-column type="selection" width="55" align="center"/>
      <el-table-column label="计划培训日期" align="center" prop="trainingPlanDate" :show-overflow-tooltip="true"
                       width="180"/>
      <el-table-column label="课程编号" align="center" prop="courseCode" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="培训主题" align="center" prop="topic" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="材料版本" align="center" prop="materialVer" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="培训时长h" align="center" prop="courseHour" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="讲师" align="center" prop="trainer" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="培训日期" align="center" prop="courseDate" width="180">
        <template slot-scope="scope">
          <span>{{ parseTime(scope.row.courseDate, '{y}-{m}-{d}') }}</span>
        </template>
      </el-table-column>
      <el-table-column label="讲师签名" align="center" prop="trainerConfirm" :show-overflow-tooltip="true" width="180">
        <template slot-scope="scope">
          <el-button
            v-if="scope.row.trainerConfirm==null&&(scope.row.planStatus==3||scope.row.planStatus==4||scope.row.planStatus==5)"
            type="text" @click="sign(scope.row)">
            签名
          </el-button>
          <span v-else>{{ scope.row.trainerConfirm }}</span>
        </template>
      </el-table-column>
      <el-table-column label="考试评估方式" align="center" prop="examType" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="评估结果" align="center" prop="assess" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="学员签名" align="center" prop="studentConfirm" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="培训状态" align="center" prop="planStatus" :show-overflow-tooltip="true" width="180">
        <template slot-scope="scope">
          <el-tag v-if="scope.row.planStatus == 2" size="small" type="warning">待考试</el-tag>
          <el-tag v-if="scope.row.planStatus == 3" size="small" type="success">已完成</el-tag>
          <el-tag v-if="scope.row.planStatus == 1" size="small" type="danger">已中止</el-tag>
          <el-tag v-else-if="scope.row.planStatus == 0" size="small" type="info">未完成</el-tag>
          <el-tag v-else-if="scope.row.planStatus == 4" size="small" type="danger">已中止待审批</el-tag>
          <el-tag v-else-if="scope.row.planStatus == 5" size="small" type="success">已完成待审批</el-tag>
        </template>
      </el-table-column>
      <el-table-column label="第一次成绩" align="center" prop="score1" :show-overflow-tooltip="true" width="200">
        <template slot-scope="scope">
          <div v-if="scope.row.score1 == null&&scope.row.planStatus==2">
            <el-select v-model="scope.row.score1Tmp" style="width: 130px"
                       placeholder="请选择成绩">
              <el-option value="合格" label="合格" key="合格"/>
              <el-option value="不合格" label="不合格" key="不合格"/>
            </el-select>
            <el-button type="text" @click="saveScore(scope.row)" class="ml5">保存</el-button>
          </div>
          <span v-else>{{ scope.row.score1 }}</span>
        </template>
      </el-table-column>
      <el-table-column label="附件" align="center" :show-overflow-tooltip="true" width="80">
        <template slot-scope="scope">
          <el-button icon="el-icon-folder" style="color:#6e96fa;" @click="handleDoc(scope.row , 'tsNew-zhuangzhi1')"
                     circle></el-button>
        </template>
      </el-table-column>
      <el-table-column label="第二次成绩" align="center" prop="score2" :show-overflow-tooltip="true" width="180">
        <template slot-scope="scope">
          <div v-if="scope.row.score2 == null&&scope.row.score1 == '不合格'&&scope.row.planStatus==2">
            <el-select v-model="scope.row.score2Tmp" style="width: 130px" placeholder="请选择成绩">
              <el-option value="合格" label="合格" key="合格"/>
              <el-option value="不合格" label="不合格" key="不合格"/>
            </el-select>
            <el-button type="text" @click="saveScore(scope.row)" class="ml5">保存</el-button>
          </div>
          <span v-else>{{ scope.row.score2 }}</span>
        </template>
      </el-table-column>
      <el-table-column label="附件" align="center" :show-overflow-tooltip="true" width="80">
        <template slot-scope="scope">
          <el-button icon="el-icon-folder" style="color:#6e96fa;" @click="handleDoc(scope.row , 'tsNew-zhuangzhi2')"
                     circle></el-button>
        </template>
      </el-table-column>
      <el-table-column label="备注" align="center" prop="remarks" :show-overflow-tooltip="true" width="180"/>
      <el-table-column label="操作" align="center" fixed="right" class-name="small-padding fixed-width" width="230">
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="text"
            icon="el-icon-folder"
            @click="openFileDialog(scope.row)"
          >学习资料
          </el-button>
        </template>
      </el-table-column>
    </el-table>

    <pagination
      v-show="total>0"
      :total="total"
      :page.sync="queryParams.pageNum"
      :limit.sync="queryParams.pageSize"
      @pagination="getList"
    />

    <!-- 用户导入对话框 -->
    <el-dialog :close-on-click-modal="false" :title="upload.title" :visible.sync="upload.open" width="400px"
               append-to-body>
      <el-upload
        ref="upload"
        :limit="1"
        accept=".xlsx, .xls"
        :headers="upload.headers"
        :action="upload.url + '?updateSupport=' + upload.updateSupport"
        :disabled="upload.isUploading"
        :on-progress="handleFileUploadProgress"
        :on-success="handleFileSuccess"
        :auto-upload="false"
        drag
      >
        <i class="el-icon-upload"></i>
        <div class="el-upload__text">
          将文件拖到此处，或
          <em>点击上传</em>
        </div>
        <div class="el-upload__tip" slot="tip">
          <el-checkbox v-model="upload.updateSupport"/>
          是否更新已经存在的用户数据
          <el-link type="info" style="font-size:12px" @click="importTemplate">下载模板</el-link>
        </div>
        <div class="el-upload__tip" style="color:red" slot="tip">提示：仅允许导入“xls”或“xlsx”格式文件！</div>
      </el-upload>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitFileForm">确 定</el-button>
        <el-button @click="upload.open = false">取 消</el-button>
      </div>
    </el-dialog>

    <el-dialog :close-on-click-modal="false" :visible.sync="file.open" width="30%" append-to-body>
      <el-descriptions class="margin-top" title="学习资料" :column="1" size="medium" border>
        <el-descriptions-item label-style="width:180px">
          <template slot="label">
            <i class="el-icon-user"></i>
            资料名
          </template>
          {{ file.data.fileName }}
        </el-descriptions-item>
        <el-descriptions-item label-style="width:180px">
          <template slot="label">
            <i class="el-icon-mobile-phone"></i>
            学习进度
          </template>
          <el-progress :text-inside="true" :stroke-width="20" :percentage="getCountTime()"
                       status="success"></el-progress>
        </el-descriptions-item>
        <el-descriptions-item label-style="width:180px">
          <template slot="label">
            <i class="el-icon-mobile-phone"></i>
            应学习时长（分）
          </template>
          {{ file.data.timerNeed }}
        </el-descriptions-item>
        <el-descriptions-item label-style="width:180px">
          <template slot="label">
            <i class="el-icon-mobile-phone"></i>
            已学习时长（分）
          </template>
          {{ file.data.timer }}
        </el-descriptions-item>
      </el-descriptions>
      <el-button
        class="mt10"
        type="primary"
        icon="el-icon-video-play"
        @click="handleStudy(file.data)"
      >查看附件
      </el-button>
      <el-button
        size="mini"
        type="primary"
        icon="el-icon-view"
        @click="handlePaperDetail(file.data)"
      >考试明细</el-button>
    </el-dialog>

    <el-dialog :visible.sync="open" title="考试明细" width="60%" append-to-body>

      <div class="el-dialog-div">
        <my-paper-list :exam-id="examId" :staff-id="studentStaffId" />
      </div>

    </el-dialog>

    <el-dialog :close-on-click-modal="false" element-loading-background="rgba(0,0,0,0.2)"
               v-dialogDrag :title="pdf.title"
               :visible.sync="pdf.open" width="1300px" height="800px" :center="true" append-to-body
               @close="handleClose">
      <div style="margin-top: -30px">
        <iframe id="iFrame" class="iframe-html" :src="pdf.pdfUrl" frameborder="0" width="100%" height="700px"
                v-if="ppt"></iframe>
      </div>
    </el-dialog>


    <!-- 报告附件对话框 -->
    <el-dialog :close-on-click-modal="false" v-dialogDrag :title="doc.title" :visible.sync="doc.open" width="1000px"
               append-to-body>
      <el-upload
        ref="doc"
        :limit="50"
        :headers="doc.headers"
        :action="doc.url + '?pType=' + doc.pType + '&pId=' + doc.pId"
        :disabled="doc.isUploading"
        :on-progress="handleFileDocProgress"
        :on-success="handleFileDocSuccess"
        :auto-upload="true"
        drag
      >
        <i class="el-icon-upload"></i>
        <div class="el-upload__text">
          {{ $t('将文件拖到此处，或') }}
          <em>{{ $t('点击上传') }}</em>
        </div>
      </el-upload>
      <el-table :data="doc.commonfileList" border>
        <el-table-column :label="$t('文件名')" align="center" prop="fileName" :show-overflow-tooltip="true">
          <template slot-scope="scope">
            <a class="link-type" @click="handleDownload(scope.row)">
              <span>{{ scope.row.fileName }}</span>
            </a>
          </template>
        </el-table-column>
        <el-table-column :label="$t('大小(Kb)')" align="center" prop="fileSize" :show-overflow-tooltip="true"
                         width="80"/>
        <el-table-column :label="$t('上传人')" align="center" prop="creator" :show-overflow-tooltip="true" width="120"/>
        <el-table-column :label="$t('上传日期')" align="center" prop="createdate" :show-overflow-tooltip="true"
                         width="120">
          <template slot-scope="scope">
            <span>{{ parseTime(scope.row.createdate, '{y}-{m}-{d}') }}</span>
          </template>
        </el-table-column>
        <el-table-column :label="$t('操作')" align="center" width="220" class-name="small-padding fixed-width">
          <template slot-scope="scope">
            <el-button
              v-if="scope.row.fileName!=null&&scope.row.fileName.endsWith('pdf')"
              size="mini"
              type="text"
              icon="el-icon-view"
              @click="handleSee(scope.row)"
            >{{ $t('预览') }}
            </el-button>
            <el-button
              size="mini"
              type="text"
              icon="el-icon-download"
              @click="handleDownload(scope.row)"
            >{{ $t('下载') }}
            </el-button>
            <el-button
              size="mini"
              type="text"
              icon="el-icon-delete"
              @click="handleDeleteDoc(scope.row)"
            >{{ $t('删除') }}
            </el-button>
          </template>
        </el-table-column>
      </el-table>
      <el-dialog :close-on-click-modal="false" v-dialogDrag :title="pdf.title" :visible.sync="pdf.open" width="1300px"
                 append-to-body>
        <div style="margin-top: -60px;float: right;margin-right: 40px;">
          <el-button size="mini" type="text" @click="openPdf">{{ $t('新页面打开PDF') }}</el-button>
        </div>
        <div style="margin-top: -30px">
          <iframe :src="pdf.pdfUrl" frameborder="0" width="100%" height="700px"></iframe>
        </div>
      </el-dialog>

      <div slot="footer" class="dialog-footer">
        <!--        <el-button type="primary" @click="submitFileForm">{{ $t('确 定') }}</el-button>-->
        <el-button @click="doc.open = false">{{ $t('返 回') }}</el-button>
      </div>
    </el-dialog>

  </div>
</template>

<script>
import {
  addFirstplan,
  delFirstplan,
  exportFirstplan,
  getFirstplan,
  importTemplate, listAllFirstplanByTrainer,
  listFirstplan,
  updateFirstLearnTime,
  updateFirstplan
} from "@/api/training/bccnew/firstplan";
import {treeselect} from "@/api/system/dept";
import {getToken} from "@/utils/auth";
import Treeselect from "@riophae/vue-treeselect";
import "@riophae/vue-treeselect/dist/vue-treeselect.css";
import {listExam} from "@/api/training/elearn/exam";
import {allFileList, delCommonfile} from "@/api/common/commonfile";
import {getStaffId} from "@/api/plant/staffmgr";
import MyPaperList from "@/views/training/elearn/userExam/paper.vue";

var timer = null;
export default {
  name: "Firstplan-t-Bccnew",
  components: {MyPaperList, Treeselect},
  data() {
    return {
      staffId: null,
      examId: null,
      studentStaffId: null,
      file: {
        open: false,
        data: {}
      },
      ppt: false,
      examOptions: [],
      pdf: {
        title: '',
        pdfUrl: '',
        numPages: null,
        open: false,
        pageNum: 1,
        pageTotalNum: 1,
        loadedRatio: 0,
        loadingFlash: false,
      },
      // 报告附件参数
      doc: {
        file: "",
        // 是否显示弹出层（报告附件）
        open: false,
        // 弹出层标题（报告附件）
        title: "附件",
        // 是否禁用上传
        isUploading: false,
        // 是否更新已经存在的用户数据
        updateSupport: 0,
        // 报告附件上传位置编号
        ids: 0,
        // 设置上传的请求头部
        headers: {Authorization: "Bearer " + getToken()},
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/common/commonfile/uploadFile",
        commonfileList: null,
        queryParams: {
          pId: null,
          pType: 'trainingFirst'
        },
        pType: 'trainingFirst',
        pId: null,
        form: {}
      },
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: false,
      // 总条数
      total: 0,
      // 进组培训表格数据
      firstplanList: [],
      // 培训状态字典
      planStatusOptions: [],
      // 弹出层标题
      title: "",
      // 部门树选项
      deptOptions: undefined,
      clientHeight: 300,
      // 是否显示弹出层
      open: false,
      // 用户导入参数
      upload: {
        // 是否显示弹出层（用户导入）
        open: false,
        // 弹出层标题（用户导入）
        title: "",
        // 是否禁用上传
        isUploading: false,
        // 是否更新已经存在的用户数据
        updateSupport: 0,
        // 设置上传的请求头部
        headers: {Authorization: "Bearer " + getToken()},
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/bccnew/firstplan/importData"
      },
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 20,
        newId: null,
        courseCode: null,
        topic: null,
        content: null,
        courseDay: null,
        courseHour: null,
        courseType: null,
        trainer: null,
        courseDate: null,
        assess: null,
        createrCode: null,
        createdate: null,
        updaterCode: null,
        updatedate: null,
        deptId: null,
        remarks: null,
        planStatus: null
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {},
      newId: null,
    };
  },
  watch: {
    // 根据名称筛选部门树
    deptName(val) {
      this.$refs.tree.filter(val);
    }
  },
  created() {
    this.newId = this.$route.params && this.$route.params.newId;
    listExam({pageNum: 1, pageSize: 1000, examType: 3}).then(response => {
      this.examOptions = response.rows;
    });
    //设置表格高度对应屏幕高度
    this.$nextTick(() => {
      this.clientHeight = document.body.clientHeight - 250
    })
    this.getList();
    this.getTreeselect();
    this.getDicts("training_bccnew_status").then(response => {
      this.planStatusOptions = response.data;
    });
    this.getStaffId();
  },
  methods: {
    handlePaperDetail(row){
      console.log(row)
      this.examId = row.examId+""
      this.studentStaffId = row.staffId
      this.open = true
    },
    getStaffId() {
      getStaffId().then(res => {
        this.staffId = res.data;
      })
    },
    sign(row) {
      this.$confirm('签名即代表您已确认该学员此项课程的成绩', "注意", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function () {
        return updateFirstplan({
          id: row.id,
          trainerConfirm: "1",
          newId: row.newId
        });
      }).then(() => {
        this.getList();
        this.msgSuccess("签名成功");
      })
    },
    handleSee(row) {
      // window.open(process.env.VUE_APP_BASE_API +'/pdf/web/viewer.html?file=' + process.env.VUE_APP_BASE_API + row.fileUrl);//path是文件的全路径地址
      this.pdf.open = true
      this.pdf.title = row.fileName
      this.pdf.pdfUrl = process.env.VUE_APP_BASE_API + '/pdf/web/viewer.html?file=' + process.env.VUE_APP_BASE_API + row.fileUrl
    },
    handleDoc(row, fileType) {
      this.doc.pType = fileType
      this.doc.queryParams.pType = fileType
      this.doc.id = row.id;
      this.doc.title = this.$t('附件');
      this.doc.open = true;
      this.doc.queryParams.pId = row.id
      this.doc.pId = row.id
      this.getFileList()
      this.$nextTick(() => {
        this.$refs.doc.clearFiles()
      })
    },
    handleClose() {
      window.clearInterval(timer);
      this.getList();
    },
    handleStudy(row) {
      //office预览
      this.pdf.loadingFlash = true
      this.pdf.open = true
      this.pdf.title = row.fileName
      this.pdf.pdfUrl = ""
      this.ppt = true
      //如果是PDF等直接可以打开的就不调接口，否则调用接口
      if (row.fileName != null && row.fileName.endsWith('pdf')) {
        this.pdf.pdfUrl = process.env.VUE_APP_BASE_API + '/pdf/web/viewer.html?file=' + process.env.VUE_APP_BASE_API + row.fileUrl
        this.loadingFlash = false
      }
      let _this = this;
      timer = window.setInterval(function () {
        updateFirstLearnTime(row).then(res => {
        })
      }, 60000);
    },
    getCountTime() {
      if (this.file.data.timerNeed === 0)
        return 0;
      return parseInt((this.file.data.timer / this.file.data.timerNeed * 100).toFixed(2))
    },
    openFileDialog(row) {
      this.file.open = true;
      this.file.data = row
      console.log(row)
      if (row.timer === '' || row.timer == null) {
        this.file.data.timer = 0
      }
      if (row.timerNeed === '' || row.timerNeed == null) {
        this.file.data.timerNeed = 0
      }
      console.log(this.file.data)
    },
    /** 查询进组培训列表 */
    getList() {
      this.loading = true;
      this.queryParams.newId=this.newId;
      listAllFirstplanByTrainer(this.queryParams).then(response => {
        this.firstplanList = response.data;
        this.total = 0;
        this.loading = false;
      });
    },
    /** 查询部门下拉树结构 */
    getTreeselect() {
      treeselect().then(response => {
        this.deptOptions = response.data;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        newId: null,
        courseCode: null,
        topic: null,
        content: null,
        courseDay: null,
        courseHour: null,
        courseType: null,
        trainer: null,
        courseDate: null,
        assess: null,
        delFlag: null,
        createrCode: null,
        createdate: null,
        updaterCode: null,
        updatedate: null,
        deptId: null,
        remarks: null,
        planStatus: 0
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length !== 1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加装置级培训";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getFirstplan(id).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = "修改装置级培训";
      });
    },
    saveScore(row) {
      this.$confirm('成绩保存后不可修改！请确认成绩为' + ((row.score1Tmp ? row.score1Tmp : row.score2Tmp) == undefined ? "" : (row.score1Tmp ? row.score1Tmp : row.score2Tmp)), "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function () {
        return updateFirstplan({
          id: row.id,
          score1: row.score1Tmp ? row.score1Tmp : row.score1,
          score2: row.score2Tmp,
          newId: row.newId
        });
      }).then(() => {
        this.getList();
        this.msgSuccess("修改成功");
      })
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateFirstplan(this.form).then(response => {
              this.msgSuccess("修改成功");
              this.open = false;
              this.getList();
            });
          } else {
            addFirstplan(this.form).then(response => {
              this.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$confirm('是否确认删除?', "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function () {
        return delFirstplan(ids);
      }).then(() => {
        this.getList();
        this.msgSuccess("删除成功");
      })
    },
    /** 导出按钮操作 */
    handleExport() {
      const queryParams = this.queryParams;
      this.$confirm('是否确认导出所有装置级培训数据项?', "警告", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      }).then(function () {
        return exportFirstplan(queryParams);
      }).then(response => {
        this.download(response.msg);
      })
    },
    /** 导入按钮操作 */
    handleImport() {
      this.upload.title = "用户导入";
      this.upload.open = true;
    },
    /** 下载模板操作 */
    importTemplate() {
      importTemplate().then(response => {
        this.download(response.msg);
      });
    },
    // 文件上传中处理
    handleFileUploadProgress(event, file, fileList) {
      this.upload.isUploading = true;
    },
    // 文件上传成功处理
    handleFileSuccess(response, file, fileList) {
      this.upload.open = false;
      this.upload.isUploading = false;
      this.$refs.upload.clearFiles();
      this.$alert(response.msg, "导入结果", {dangerouslyUseHTMLString: true});
      this.getList();
    },
    // 提交上传文件
    submitFileForm() {
      this.$refs.upload.submit();
    },
    getFileList() {
      allFileList(this.doc.queryParams).then(response => {
        response.forEach(element => {
          element["isEdit"] = false
        });
        response.forEach(element => {
          element["isAdd"] = false
        });
        this.doc.commonfileList = response;
      });
    },
    //附件上传中处理
    handleFileDocProgress(event, file, fileList) {
      this.doc.file = file;
      this.doc.isUploading = true;
    },
    //附件上传成功处理
    handleFileDocSuccess(response, file, fileList) {
      this.doc.isUploading = false;
      this.$alert(response.msg, this.$t('导入结果'), {dangerouslyUseHTMLString: true});
      this.getFileList()
    },
    // 文件下载处理
    handleDownload(row) {
      var name = row.fileName;
      var url = row.fileUrl;
      var suffix = url.substring(url.lastIndexOf("."), url.length);
      const a = document.createElement('a')
      a.setAttribute('download', name)
      a.setAttribute('target', '_blank')
      a.setAttribute('href', process.env.VUE_APP_BASE_API + url)
      a.click()
    },
    /** 删除按钮操作 */
    handleDeleteDoc(row) {
      const ids = row.id || this.ids;
      this.$confirm(this.$t('是否确认删除?'), this.$t('警告'), {
        confirmButtonText: this.$t('确定'),
        cancelButtonText: this.$t('取消'),
        type: "warning"
      }).then(function () {
        return delCommonfile(ids);
      }).then(() => {
        this.getFileList()
        this.msgSuccess(this.$t('删除成功'));
      })
    },
    openPdf() {
      window.open(this.pdf.pdfUrl);//path是文件的全路径地址
    },
  }
};
</script>
